TikTok LIVE Moderation

Bans

Manage bans within the TikTok LIVE Moderation API. This section covers endpoints for working with bans including retrieval, creation, and management operations.

Kick room user

PUT/webcast/rooms/{room_id}/moderation/bans

Kick a user from a livestream room.

Path Parameters

room_id*string

Query Parameters

tiktok_user_id*string
comment_msg_idstring

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200

Unban room user

DEL/webcast/rooms/{room_id}/moderation/bans

Unkick a user from a livestream room (allow them back).

Path Parameters

room_id*string

Query Parameters

tiktok_user_id*string

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200

Retrieve room banned users

GET/webcast/rooms/{room_id}/moderation/bans

Retrieve the list of banned users in a livestream room.

Path Parameters

room_id*string

Query Parameters

pagenumber (double)= 0

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200